package com.huimv.admin.service;

import com.huimv.admin.common.utils.Result;
import com.huimv.admin.entity.EnergyEnvDevice;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.entity.EnvDevice;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author author
 * @since 2023-02-21
 */
public interface IEnergyEnvDeviceService extends IService<EnergyEnvDevice> {

    Result list(HttpServletRequest httpServletRequest,Map<String,String> paramsMap);

    Result add(HttpServletRequest httpServletRequest, EnergyEnvDevice energyEnvDevice);

    Result edit(HttpServletRequest httpServletRequest,  EnergyEnvDevice energyEnvDevice);

    Result delete(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result bandingUnitId(HttpServletRequest httpServletRequest, EnergyEnvDevice envDevice);

    Result deviceCount(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listDevice(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result updateName(HttpServletRequest httpServletRequest, MultipartFile files) throws Exception;
}
